Tp::BaseChannelRoomListType Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseChannelRoomListType Class Reference
Connection manager service implementation

Base class for implementations of Channel.Type.RoomList. More...

`#include <TelepathyQt/BaseChannel>`

Inherits Tp::AbstractChannelInterface.

## Public Types
typedef Callback1< void, DBusError * > | ListRoomsCallback
typedef Callback1< void, DBusError * > | StopListingCallback

## Public Member Functions
virtual | ~BaseChannelRoomListType ()
QVariantMap | immutableProperties () const
QString | server () const
bool | getListingRooms ()
void | setListingRooms (bool listing)
void | setListRoomsCallback (const ListRoomsCallback &cb)
void | listRooms (DBusError *error)
void | setStopListingCallback (const StopListingCallback &cb)
void | stopListing (DBusError *error)
void | gotRooms (const Tp::RoomInfoList &rooms)
Public Member Functions inherited from Tp::AbstractChannelInterface
| AbstractChannelInterface (const QString &interfaceName)
virtual | ~AbstractChannelInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseChannelRoomListTypePtr | create (const QString &server=QString())
template<typename BaseChannelRoomListTypeSubclass >
static SharedPtr < BaseChannelRoomListTypeSubclass > | create (const QString &server=QString())

## Protected Member Functions
| BaseChannelRoomListType (const QString &server)
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Detailed Description

Base class for implementations of Channel.Type.RoomList.

## Member Typedef Documentation

typedef Callback1<void, DBusError*> Tp::BaseChannelRoomListType::ListRoomsCallback

typedef Callback1<void, DBusError*> Tp::BaseChannelRoomListType::StopListingCallback

## Constructor & Destructor Documentation

Tp::BaseChannelRoomListType::~BaseChannelRoomListType | ( |  | ) |
| virtual

Class destructor.

Tp::BaseChannelRoomListType::BaseChannelRoomListType | ( | const QString & | server | ) |
| protected

Class constructor.

## Member Function Documentation

static BaseChannelRoomListTypePtr Tp::BaseChannelRoomListType::create | ( | const QString & | server = `QString()` | ) |
| inlinestatic

template<typename BaseChannelRoomListTypeSubclass >

static SharedPtr<BaseChannelRoomListTypeSubclass> Tp::BaseChannelRoomListType::create | ( | const QString & | server = `QString()` | ) |
| inlinestatic

QVariantMap Tp::BaseChannelRoomListType::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

QString Tp::BaseChannelRoomListType::server | ( |  | ) | const

bool Tp::BaseChannelRoomListType::getListingRooms | ( |  | ) |

void Tp::BaseChannelRoomListType::setListingRooms | ( | bool | listing | ) |

void Tp::BaseChannelRoomListType::setListRoomsCallback | ( | const ListRoomsCallback & | cb | ) |

void Tp::BaseChannelRoomListType::listRooms | ( | DBusError * | error | ) |

void Tp::BaseChannelRoomListType::setStopListingCallback | ( | const StopListingCallback & | cb | ) |

void Tp::BaseChannelRoomListType::stopListing | ( | DBusError * | error | ) |

void Tp::BaseChannelRoomListType::gotRooms | ( | const Tp::RoomInfoList & | rooms | ) |